using Edu.Common.Plugin;
using System;
using System.Collections.Generic;
using System.Text;

namespace Edu.Common.Enum.Course
{
    /// <summary>
    /// 客人学习目的枚举
    /// </summary>
    public enum GuestLearningGoalsEnum
    {
        /// <summary>
        /// 旅游
        /// </summary>
        [EnumField("旅游")]
        Travel = 1,
        /// <summary>
        /// 留学
        /// </summary>
        [EnumField("留学")]
        StudyAbroad = 2,
        /// <summary>
        /// 游学
        /// </summary>
        [EnumField("游学")]
        StudyTour = 3,
        /// <summary>
        /// 动漫影音
        /// </summary>
        [EnumField("动漫影音")]
        Anime = 4,
        /// <summary>
        /// 爱好
        /// </summary>
        [EnumField("爱好")]
        Love = 5,
        /// <summary>
        /// 工作
        /// </summary>
        [EnumField("工作")]
        Work = 6,
        /// <summary>
        /// 移民
        /// </summary>
        [EnumField("移民")]
        Immigrant = 7,
    }
}
